> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Rfq



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/projects/{projectId}/rfq/{rfqId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/rfq/{rfqId}:
    patch:
      tags:
        - Rfq
      summary: Update Rfq
      operationId: RfqController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: rfqId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                expectedVersion:
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                title:
                  type: string
                  minLength: 1
                  maxLength: 200
                quoteNumber:
                  anyOf:
                    - type: string
                      maxLength: 255
                    - type: 'null'
                responseDeadline:
                  anyOf:
                    - type: string
                      pattern: ^\d{4}-\d{2}-\d{2}$
                    - type: 'null'
                deliverBy:
                  anyOf:
                    - type: string
                      pattern: ^\d{4}-\d{2}-\d{2}$
                    - type: 'null'
                shipTo:
                  anyOf:
                    - type: string
                      maxLength: 4000
                    - type: 'null'
                message:
                  anyOf:
                    - type: string
                      maxLength: 4000
                    - type: 'null'
                requestedFields:
                  minItems: 1
                  maxItems: 29
                  type: array
                  items:
                    type: object
                    properties:
                      key:
                        anyOf:
                          - type: string
                            enum:
                              - unit_price
                              - lead_time
                              - moq
                              - availability
                              - fob_point
                              - country_of_origin
                              - alternatives
                              - supporting_docs
                              - post_po_submittals
                          - type: string
                            pattern: ^custom:\d{1,18}$
                      required:
                        type: boolean
                    required:
                      - key
                      - required
                    additionalProperties: false
                shareItemDocs:
                  type: boolean
                currency:
                  anyOf:
                    - type: string
                      pattern: ^[A-Z]{3}$
                    - type: 'null'
                assigneeId:
                  anyOf:
                    - type: string
                      pattern: ^[1-9]\d{0,18}$
                    - type: 'null'
                items:
                  minItems: 1
                  maxItems: 500
                  type: array
                  items:
                    type: object
                    properties:
                      slotId:
                        type: string
                        pattern: ^[1-9]\d{0,18}$
                      quantity:
                        anyOf:
                          - type: string
                            pattern: ^\d{1,16}(\.\d{1,2})?$
                          - type: 'null'
                      shareDocuments:
                        type: boolean
                    required:
                      - slotId
                    additionalProperties: false
                recipients:
                  maxItems: 50
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          contactPersonId:
                            type: string
                            pattern: ^[1-9]\d{0,18}$
                          excludedItemIds:
                            maxItems: 500
                            type: array
                            items:
                              type: string
                              pattern: ^[1-9]\d{0,18}$
                        required:
                          - contactPersonId
                        additionalProperties: false
                      - type: object
                        properties:
                          email:
                            type: string
                            maxLength: 320
                            format: email
                            pattern: >-
                              ^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                          firstName:
                            type: string
                            minLength: 1
                            maxLength: 100
                          lastName:
                            type: string
                            minLength: 1
                            maxLength: 100
                          companyName:
                            type: string
                            minLength: 1
                            maxLength: 200
                          excludedItemIds:
                            maxItems: 500
                            type: array
                            items:
                              type: string
                              pattern: ^[1-9]\d{0,18}$
                        required:
                          - email
                          - firstName
                          - companyName
                        additionalProperties: false
              required:
                - expectedVersion
              additionalProperties: false
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.